png++: png::pixel_buffer< packed_gray_pixel< bits > > Class Template Reference

png++ 0.2.10

Public Types | Public Member Functions | List of all members
png::pixel_buffer< packed_gray_pixel< bits > > Class Template Reference

The pixel buffer class template specialization for the packed_gray_pixel type. More...

`#include <pixel_buffer.hpp>`

Inheritance diagram for png::pixel_buffer< packed_gray_pixel< bits > >:

## Public Types
typedef packed_gray_pixel< bits > | pixel_type
typedef packed_pixel_row< pixel_type > | pixel_row_type
Public Types inherited from png::basic_pixel_buffer< pixel, row, traits >
typedef row | row_type
| A row of pixel data.
typedef row_type & | row_access
typedef row_type const & | row_const_access
typedef traits | row_traits
Public Types inherited from png::basic_pixel_buffer< packed_gray_pixel< bits >, packed_pixel_row< packed_gray_pixel< bits > > >
typedef packed_pixel_row< packed_gray_pixel< bits > > | row_type
| A row of pixel data.
typedef row_type & | row_access
typedef row_type const & | row_const_access
typedef row_traits< packed_pixel_row< packed_gray_pixel< bits > > > | row_traits

## Public Member Functions
| pixel_buffer ()
| pixel_buffer (uint_32 width, uint_32 height)
Public Member Functions inherited from png::basic_pixel_buffer< pixel, row, traits >
| basic_pixel_buffer ()
| Constructs an empty 0x0 pixel buffer object.
| basic_pixel_buffer (uint_32 width, uint_32 height)
| Constructs an empty pixel buffer object.
uint_32 | get_width () const
uint_32 | get_height () const
void | resize (uint_32 width, uint_32 height)
| Resizes the pixel buffer.
row_access | get_row (size_t index)
| Returns a reference to the row of image data at specified index.
row_const_access | get_row (size_t index) const
| Returns a const reference to the row of image data at specified index.
row_access | operator[] (size_t index)
| The non-checking version of get_row() method.
row_const_access | operator[] (size_t index) const
| The non-checking version of get_row() method.
void | put_row (size_t index, row_type const &r)
| Replaces the row at specified index.
pixel | get_pixel (size_t x, size_t y) const
| Returns a pixel at (x,y) position.
void | set_pixel (size_t x, size_t y, pixel p)
| Replaces a pixel at (x,y) position.
Public Member Functions inherited from png::basic_pixel_buffer< packed_gray_pixel< bits >, packed_pixel_row< packed_gray_pixel< bits > > >
| basic_pixel_buffer ()
| Constructs an empty 0x0 pixel buffer object.
uint_32 | get_width () const
uint_32 | get_height () const
void | resize (uint_32 width, uint_32 height)
| Resizes the pixel buffer.
row_access | get_row (size_t index)
| Returns a reference to the row of image data at specified index.
row_access | operator[] (size_t index)
| The non-checking version of get_row() method.
void | put_row (size_t index, row_type const &r)
| Replaces the row at specified index.
packed_gray_pixel< bits > | get_pixel (size_t x, size_t y) const
| Returns a pixel at (x,y) position.
void | set_pixel (size_t x, size_t y, packed_gray_pixel< bits > p)
| Replaces a pixel at (x,y) position.

## Additional Inherited Members
Protected Types inherited from png::basic_pixel_buffer< pixel, row, traits >
typedef std::vector< row_type > | row_vec
Protected Types inherited from png::basic_pixel_buffer< packed_gray_pixel< bits >, packed_pixel_row< packed_gray_pixel< bits > > >
typedef std::vector< row_type > | row_vec
Protected Attributes inherited from png::basic_pixel_buffer< pixel, row, traits >
uint_32 | m_width
uint_32 | m_height
row_vec | m_rows
Protected Attributes inherited from png::basic_pixel_buffer< packed_gray_pixel< bits >, packed_pixel_row< packed_gray_pixel< bits > > >
uint_32 | m_width
uint_32 | m_height
row_vec | m_rows

## Detailed Description

template<int bits>
class png::pixel_buffer< packed_gray_pixel< bits > >

The pixel buffer class template specialization for the packed_gray_pixel type.

## Member Typedef Documentation

## ◆ pixel_type

template<int bits>

typedef packed_gray_pixel< bits > png::pixel_buffer< packed_gray_pixel< bits > >::pixel_type

## ◆ pixel_row_type

template<int bits>

typedef packed_pixel_row< pixel_type > png::pixel_buffer< packed_gray_pixel< bits > >::pixel_row_type

## Constructor & Destructor Documentation

## ◆ pixel_buffer() [1/2]

template<int bits>

png::pixel_buffer< packed_gray_pixel< bits > >::pixel_buffer | ( |  | ) |
| inline

## ◆ pixel_buffer() [2/2]

template<int bits>

png::pixel_buffer< packed_gray_pixel< bits > >::pixel_buffer | ( | uint_32 | width,
|  | uint_32 | height )
| inline

References png::basic_pixel_buffer< pixel, row, traits >::basic_pixel_buffer().

The documentation for this class was generated from the following file:

- pixel_buffer.hpp